Subject: Re: bug#50320: 28.0.50; Recent changes cause functions in sh-script-mode to be indented incorrectly

From: Kévin Le Gouguec <[email-masked]>
Date: Thu, 02 Sep 2021 08:16:22 +0200

Diego via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> I'm not quite sure when this behavior was introduced, but I suspect
> commits 4bb70549 or 6392bc37a may be responsible:

Seems to be 6392bc37a; reverting it makes your test case pass again.

As things stand, I don't know enough about SMIE to understand what the
correct fix is.  A plain revert might be the best immediate action,
unless someone knowledgeable enough can reconcile my commit with Diego's
example.